Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1344453 - [DOCS] Included note regarding ProjectRequester annotation in release notes and managing_projects section of docs
Summary: [DOCS] Included note regarding ProjectRequester annotation in release notes a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Ryan Howe
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 17:53 UTC by Ryan Howe
Modified: 2019-11-14 08:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-15 15:06:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ryan Howe 2016-06-09 17:53:31 UTC
Document URL: 

https://docs.openshift.com/enterprise/3.2/admin_guide/managing_projects.html#limit-projects-per-user

 https://docs.openshift.com/enterprise/3.2/release_notes/ose_3_2_release_notes.html


Describe the issue: 

With old 3.1 and below project request templates created using the documented way. 
# oadm create-bootstrap-project-template -o yaml > template.yaml

This template that was created does not include the annotation
  openshift.io/requester: ${PROJECT_REQUESTING_USER}
Which is used for the ProjectRequestLimitConfig


Suggestions for improvement: Add a note regarding custom templates that are being used from 3.1 or below on an environment now running 3.2.

Comment 1 Ashley Hardin 2016-06-15 15:36:51 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/2289

@Ryan, please review. Checking on guidelines for adding this to the release notes section as well. Thanks!

Comment 2 Ryan Howe 2016-06-16 16:35:25 UTC
LGTM

Comment 3 openshift-github-bot 2016-06-16 17:36:46 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/d787c55fe87abb5aed26abd2c56b59e542f6e0cc
Bug 1344453, added an Important box about the ProjectRequester annotation

https://github.com/openshift/openshift-docs/commit/ccd8ca102fd651d4a00dc864e15eef873259a581
Merge pull request #2289 from ahardin-rh/request-templates

Bug 1344453, added Important box about the ProjectRequester annotation


Note You need to log in before you can comment on or make changes to this bug.